Forum |  HardWare.fr | News | Articles | PC | Prix | S'identifier | S'inscrire | Aide | Shop Recherche
2259 connectés 

  FORUM HardWare.fr
  Linux et OS Alternatifs
  Hardware

  Ubuntu 16.04 - Boot saturé et défaillant

 



 Mot :   Pseudo :  
 
Bas de page
Auteur Sujet :

Ubuntu 16.04 - Boot saturé et défaillant

n°1408465
delyre
Fluctuat nec mergitur
Posté le 06-10-2017 à 13:35:58  profilanswer
 

Citation :

"Pourquoi parler de richesse alors que nous n'avons besoin que d'outils ? Les échanges ne se quantifient pas, ils doivent rester humains."
C'Me


Bonjour,
je rencontre un soucis avec mon boot qui est saturé (482 Mo sur 500 Mo). Je travail sur portable ACER Aspire 7720 et j'ai dégagé "Windaube" pour installer Ubuntu 16.04 LTS.
J'ai voulu d'abord l'étendre avec GParted, mais peine perdu ! (si quelqu'un a une solution à ce propos...)
J'ai ensuite voulu purger les noyaux inutiles, et je me suis heurté à un mur :
 
 
sudo apt-get autoremove --purge
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances        
Lecture des informations d'état... Fait
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes.
Les paquets suivants contiennent des dépendances non satisfaites :
 linux-image-extra-4.4.0-81-generic : Dépend: linux-image-4.4.0-81-generic mais il n'est pas installé
 linux-image-extra-4.4.0-96-generic : Dépend: linux-image-4.4.0-96-generic mais il n'est pas installé
 linux-image-generic : Dépend: linux-image-4.4.0-96-generic mais il n'est pas installé
E: Dépendances manquantes. Essayez d'utiliser l'option -f.

 
J'ai tenté la solution proposée :
 
sudo apt-get -f install
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances        
Lecture des informations d'état... Fait
Correction des dépendances... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  cups-filters-core-drivers geoclue-2.0 gir1.2-gdesktopenums-3.0 gir1.2-geocodeglib-1.0 gir1.2-gnomedesktop-3.0 gir1.2-gweather-3.0 gjs
  iio-sensor-proxy imagemagick-common libedataserverui-1.2-1 libfontembed1 libgeoclue-2-0 libgjs0e libgles1-mesa liblouisutdml-bin liblouisutdml-data
  liblouisutdml6 liblqr-1-0 libmagickcore-6.q16-2 libmagickcore-6.q16-2-extra libmagickwand-6.q16-2 libmozjs-24-0v5 libnetpbm10 libqpdf17
  linux-headers-4.4.0-21 linux-headers-4.4.0-21-generic linux-headers-4.4.0-66 linux-headers-4.4.0-66-generic linux-headers-4.4.0-70
  linux-headers-4.4.0-70-generic linux-headers-4.4.0-71 linux-headers-4.4.0-71-generic linux-headers-4.4.0-72 linux-headers-4.4.0-72-generic
  linux-headers-4.4.0-75 linux-headers-4.4.0-75-generic linux-headers-4.4.0-77 linux-headers-4.4.0-77-generic linux-headers-4.4.0-81
  linux-headers-4.4.0-81-generic linux-image-4.4.0-21-generic linux-image-4.4.0-66-generic linux-image-4.4.0-70-generic linux-image-4.4.0-71-generic
  linux-image-4.4.0-72-generic linux-image-4.4.0-75-generic linux-image-4.4.0-77-generic linux-image-4.4.0-81-generic
  linux-image-extra-4.4.0-21-generic linux-image-extra-4.4.0-66-generic linux-image-extra-4.4.0-70-generic linux-image-extra-4.4.0-71-generic
  linux-image-extra-4.4.0-72-generic linux-image-extra-4.4.0-75-generic linux-image-extra-4.4.0-77-generic linux-image-extra-4.4.0-81-generic netpbm
  qpdf snap-confine
Veuillez utiliser « sudo apt autoremove » pour les supprimer.
The following additional packages will be installed:
  linux-image-4.4.0-81-generic linux-image-4.4.0-96-generic
Paquets suggérés :
  fdutils linux-doc-4.4.0 | linux-source-4.4.0 linux-tools
Les NOUVEAUX paquets suivants seront installés :
  linux-image-4.4.0-81-generic linux-image-4.4.0-96-generic
0 mis à jour, 2 nouvellement installés, 0 à enlever et 297 non mis à jour.
14 partiellement installés ou enlevés.
Il est nécessaire de prendre 0 o/43,8 Mo dans les archives.
Après cette opération, 134 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] o
(Lecture de la base de données... 537361 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../linux-image-4.4.0-96-generic_4.4.0-96.119_amd64.deb ...
Examining /etc/kernel/preinst.d/
run-parts: executing /etc/kernel/preinst.d/intel-microcode 4.4.0-96-generic /boot/vmlinuz-4.4.0-96-generic
Done.
Dépaquetage de linux-image-4.4.0-96-generic (4.4.0-96.119) ...
dpkg: erreur de traitement de l'archive /var/cache/apt/archives/linux-image-4.4.0-96-generic_4.4.0-96.119_amd64.deb (--unpack) :
 impossible de copier les données extraites pour « ./boot/vmlinuz-4.4.0-96-generic » vers « /boot/vmlinuz-4.4.0-96-generic.dpkg-new » : échec d'écriture (Aucun espace disponible sur le périphérique)
Aucun rapport « apport » n'a été créé car un disque plein a été signalé
                                                                       dpkg-deb : erreur : le sous-processus coller a été tué par le signal (Relais brisé (pipe))
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 4.4.0-96-generic /boot/vmlinuz-4.4.0-96-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 4.4.0-96-generic /boot/vmlinuz-4.4.0-96-generic
Préparation du dépaquetage de .../linux-image-4.4.0-81-generic_4.4.0-81.104_amd64.deb ...
Examining /etc/kernel/preinst.d/
run-parts: executing /etc/kernel/preinst.d/intel-microcode 4.4.0-81-generic /boot/vmlinuz-4.4.0-81-generic
Done.
Dépaquetage de linux-image-4.4.0-81-generic (4.4.0-81.104) ...
dpkg: erreur de traitement de l'archive /var/cache/apt/archives/linux-image-4.4.0-81-generic_4.4.0-81.104_amd64.deb (--unpack) :
 impossible de copier les données extraites pour « ./boot/vmlinuz-4.4.0-81-generic » vers « /boot/vmlinuz-4.4.0-81-generic.dpkg-new » : échec d'écriture (Aucun espace disponible sur le périphérique)
Aucun rapport « apport » n'a été créé car un disque plein a été signalé
                                                                       dpkg-deb : erreur : le sous-processus coller a été tué par le signal (Relais brisé (pipe))
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 4.4.0-81-generic /boot/vmlinuz-4.4.0-81-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 4.4.0-81-generic /boot/vmlinuz-4.4.0-81-generic
Des erreurs ont été rencontrées pendant l'exécution :
 /var/cache/apt/archives/linux-image-4.4.0-96-generic_4.4.0-96.119_amd64.deb
 /var/cache/apt/archives/linux-image-4.4.0-81-generic_4.4.0-81.104_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

 
J'ai enfin tenté de supprimer noyau par noyau :
 
sudo apt-get remove linux-headers-4.4.0-21 linux-headers-4.4.0-21-generic linux-image-4.4.0-21-generic linux-image-extra-4.4.0-21-generic --purge
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances        
Lecture des informations d'état... Fait
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes :
Les paquets suivants contiennent des dépendances non satisfaites :
 linux-image-extra-4.4.0-81-generic : Dépend: linux-image-4.4.0-81-generic mais ne sera pas installé
 linux-image-extra-4.4.0-96-generic : Dépend: linux-image-4.4.0-96-generic mais ne sera pas installé
 linux-image-generic : Dépend: linux-image-4.4.0-96-generic mais ne sera pas installé
E: Dépendances non satisfaites. Essayez « apt-get -f install » sans paquet
(ou indiquez une solution).

 
BREF ! Rien n'y fait. HELP !
Pour info, voici quelques données (noyau utilisé et noyaux présents sur Boot) :
 
uname -r
4.4.0-79-generic
 
dpkg -l | grep -Ei "linux-(g|h|i|lo|si|t)" | sort -k3
ii  linux-headers-4.4.0-21                        4.4.0-21.37                                   all          Header files related to Linux kernel version 4.4.0
ii  linux-image-extra-4.4.0-21-generic            4.4.0-21.37                                   amd64        Linux kernel extra modules for version 4.4.0 on 64 bit x86 SMP
ii  linux-headers-4.4.0-21-generic                4.4.0-21.37                                   amd64        Linux kernel headers for version 4.4.0 on 64 bit x86 SMP
ii  linux-image-4.4.0-21-generic                  4.4.0-21.37                                   amd64        Linux kernel image for version 4.4.0 on 64 bit x86 SMP
ii  linux-headers-4.4.0-66                        4.4.0-66.87                                   all          Header files related to Linux kernel version 4.4.0
ii  linux-image-extra-4.4.0-66-generic            4.4.0-66.87                                   amd64        Linux kernel extra modules for version 4.4.0 on 64 bit x86 SMP
ii  linux-headers-4.4.0-66-generic                4.4.0-66.87                                   amd64        Linux kernel headers for version 4.4.0 on 64 bit x86 SMP
ii  linux-image-4.4.0-66-generic                  4.4.0-66.87                                   amd64        Linux kernel image for version 4.4.0 on 64 bit x86 SMP
ii  linux-headers-4.4.0-70                        4.4.0-70.91                                   all          Header files related to Linux kernel version 4.4.0
ii  linux-image-extra-4.4.0-70-generic            4.4.0-70.91                                   amd64        Linux kernel extra modules for version 4.4.0 on 64 bit x86 SMP
ii  linux-headers-4.4.0-70-generic                4.4.0-70.91                                   amd64        Linux kernel headers for version 4.4.0 on 64 bit x86 SMP
ii  linux-image-4.4.0-70-generic                  4.4.0-70.91                                   amd64        Linux kernel image for version 4.4.0 on 64 bit x86 SMP
ii  linux-headers-4.4.0-71                        4.4.0-71.92                                   all          Header files related to Linux kernel version 4.4.0
ii  linux-image-extra-4.4.0-71-generic            4.4.0-71.92                                   amd64        Linux kernel extra modules for version 4.4.0 on 64 bit x86 SMP
ii  linux-headers-4.4.0-71-generic                4.4.0-71.92                                   amd64        Linux kernel headers for version 4.4.0 on 64 bit x86 SMP
ii  linux-image-4.4.0-71-generic                  4.4.0-71.92                                   amd64        Linux kernel image for version 4.4.0 on 64 bit x86 SMP
ii  linux-headers-4.4.0-72                        4.4.0-72.93                                   all          Header files related to Linux kernel version 4.4.0
ii  linux-image-extra-4.4.0-72-generic            4.4.0-72.93                                   amd64        Linux kernel extra modules for version 4.4.0 on 64 bit x86 SMP
ii  linux-headers-4.4.0-72-generic                4.4.0-72.93                                   amd64        Linux kernel headers for version 4.4.0 on 64 bit x86 SMP
ii  linux-image-4.4.0-72-generic                  4.4.0-72.93                                   amd64        Linux kernel image for version 4.4.0 on 64 bit x86 SMP
ii  linux-headers-4.4.0-75                        4.4.0-75.96                                   all          Header files related to Linux kernel version 4.4.0
ii  linux-image-extra-4.4.0-75-generic            4.4.0-75.96                                   amd64        Linux kernel extra modules for version 4.4.0 on 64 bit x86 SMP
ii  linux-headers-4.4.0-75-generic                4.4.0-75.96                                   amd64        Linux kernel headers for version 4.4.0 on 64 bit x86 SMP
ii  linux-image-4.4.0-75-generic                  4.4.0-75.96                                   amd64        Linux kernel image for version 4.4.0 on 64 bit x86 SMP
ii  linux-headers-4.4.0-77                        4.4.0-77.98                                   all          Header files related to Linux kernel version 4.4.0
ii  linux-image-extra-4.4.0-77-generic            4.4.0-77.98                                   amd64        Linux kernel extra modules for version 4.4.0 on 64 bit x86 SMP
ii  linux-headers-4.4.0-77-generic                4.4.0-77.98                                   amd64        Linux kernel headers for version 4.4.0 on 64 bit x86 SMP
ii  linux-image-4.4.0-77-generic                  4.4.0-77.98                                   amd64        Linux kernel image for version 4.4.0 on 64 bit x86 SMP
ii  linux-headers-4.4.0-78                        4.4.0-78.99                                   all          Header files related to Linux kernel version 4.4.0
ii  linux-image-extra-4.4.0-78-generic            4.4.0-78.99                                   amd64        Linux kernel extra modules for version 4.4.0 on 64 bit x86 SMP
ii  linux-headers-4.4.0-78-generic                4.4.0-78.99                                   amd64        Linux kernel headers for version 4.4.0 on 64 bit x86 SMP
ii  linux-image-4.4.0-78-generic                  4.4.0-78.99                                   amd64        Linux kernel image for version 4.4.0 on 64 bit x86 SMP
ii  linux-headers-4.4.0-79                        4.4.0-79.100                                  all          Header files related to Linux kernel version 4.4.0
ii  linux-image-extra-4.4.0-79-generic            4.4.0-79.100                                  amd64        Linux kernel extra modules for version 4.4.0 on 64 bit x86 SMP
ii  linux-headers-4.4.0-79-generic                4.4.0-79.100                                  amd64        Linux kernel headers for version 4.4.0 on 64 bit x86 SMP
ii  linux-image-4.4.0-79-generic                  4.4.0-79.100                                  amd64        Linux kernel image for version 4.4.0 on 64 bit x86 SMP
iU  linux-headers-4.4.0-81                        4.4.0-81.104                                  all          Header files related to Linux kernel version 4.4.0
iU  linux-image-extra-4.4.0-81-generic            4.4.0-81.104                                  amd64        Linux kernel extra modules for version 4.4.0 on 64 bit x86 SMP
iU  linux-headers-4.4.0-81-generic                4.4.0-81.104                                  amd64        Linux kernel headers for version 4.4.0 on 64 bit x86 SMP
iU  linux-generic                                 4.4.0.96.101                                  amd64        Complete Generic Linux kernel and headers
iU  linux-headers-generic                         4.4.0.96.101                                  amd64        Generic Linux kernel headers
iU  linux-image-generic                           4.4.0.96.101                                  amd64        Generic Linux kernel image
iU  linux-headers-4.4.0-96                        4.4.0-96.119                                  all          Header files related to Linux kernel version 4.4.0
iU  linux-image-extra-4.4.0-96-generic            4.4.0-96.119                                  amd64        Linux kernel extra modules for version 4.4.0 on 64 bit x86 SMP
iU  linux-headers-4.4.0-96-generic                4.4.0-96.119                                  amd64        Linux kernel headers for version 4.4.0 on 64 bit x86 SMP

 
Pour info je m'étais appuyé sur le document : http://doc.ubuntu-fr.org/kernel
 
Merci d'avance pour toute aide apportée.

mood
Publicité
Posté le 06-10-2017 à 13:35:58  profilanswer
 

n°1408466
francoisp3​1
Posté le 06-10-2017 à 16:41:59  profilanswer
 

ton /boot est saturé, il faut effectivement purger les map et kernels devenus inutils et bien sur regenerer gruip menu  
 
directement  
 
cd /boot
rm .......
rm ......
rm ......
 
etc...

n°1408490
delyre
Fluctuat nec mergitur
Posté le 07-10-2017 à 14:46:48  profilanswer
 

Merci françoisp31.
 
Le seul truc, c'est que je ne parviens pas à supprimer directement via le terminal les Kernels. Les map et le gruip, je ne vois pas trop à quoi cela fait référence (mais je peux me renseigner).
 
cd /boot et rm doivent me permettre de supprimer les headers, headers...generic, image...generic et image-extra...generic, mais s'il y a d'autres fichiers (map, gruip) ou procédures (cf. le "etc..." ), je ne suis pas au point.
 
Est-ce que des précisions ou un lien url sont possibles pour me dépatouiller ?
 
PS : y a-t-il moyen de configurer par les mises à jour pour que les kernels anciens (à l'exception des deux derniers) soient supprimés systématiquement.
 
Bonne journée !

n°1408498
delyre
Fluctuat nec mergitur
Posté le 08-10-2017 à 11:56:59  profilanswer
 

francoisp31 a écrit :

ton /boot est saturé, il faut effectivement purger les map et kernels devenus inutils et bien sur regenerer gruip menu  
 
directement  
 
cd /boot
rm .......
rm ......
rm ......
 
etc...


 
Merci françoisp31.  
 
Le seul truc, c'est que je ne parviens pas à supprimer directement via le terminal les Kernels. Les map et le gruip, je ne vois pas trop à quoi cela fait référence (mais je peux me renseigner).
 
cd /boot et rm doivent me permettre de supprimer les headers, headers...generic, image...generic et image-extra...generic, mais s'il y a d'autres fichiers (map, gruip) ou procédures (cf. le "etc..." ), je ne suis pas au point.
 
Est-ce que des précisions ou un lien url sont possibles pour me dépatouiller ?
 
PS : y a-t-il moyen de configurer par les mises à jour pour que les kernels anciens (à l'exception des deux derniers) soient supprimés systématiquement.
 
Bonne journée !

n°1408501
Profil sup​primé
Posté le 09-10-2017 à 06:23:39  answer
 

La commande bloque car apt essaie d'installer le dernier kernel alors que /boot est plein à craquer.
 
Une idée..
 
En tant que root :
 
Déplace 2 anciens kernels vers /tmp pour faire un peu de place.
 
cd /boot
mv linux-image-4.4.0-21-generic linux-image-4.4.0-66-generic /tmp
 
PS : Je n'utilise pas Ubuntu alors peut-être que c'est nommé : "initrd.img-4.4.0-21-generic" ou "vmlinuz-4.4.0-21-generic", adapte si nécessaire.
 
Normalement tu devrais maintenant pouvoir éxécuter :
 
apt-get install -f
 
Maintenant qu'il y a de place, le dernier kernel devrait s'installer.
 
puis :
 
apt autoremove && update-grub
 
Pour virer les anciens kernels et mettre à jour GRUB.

Message cité 1 fois
Message édité par Profil supprimé le 09-10-2017 à 06:40:14
n°1408502
delyre
Fluctuat nec mergitur
Posté le 09-10-2017 à 08:00:44  profilanswer
 


 
Merci thewhizard ! J'essaye ça dans la journée : on verra !

n°1408508
delyre
Fluctuat nec mergitur
Posté le 09-10-2017 à 11:43:28  profilanswer
 

CONCLUSION SYNTHÉTIQUE !
 
Un GRAND MERCI à francoisp31 et thewizard !!!  :jap:  :hello:  
Ça y est, j'ai réussi à purger mon Boot saturé et lancer enfin mes mises à jour !!
 
Je propose un petit récapitulatif pour qui rencontrerait les mêmes soucis (et ne s'y connaîtrait pas trop) :
 
CONTEXTE :
- Tout d'abord, j'ai équipé mon PC du seul OS Ubuntu 16.04 LTS ("ciao Windows !!"  :D )
 
- Mes mises à jour ne passaient plus à cause de la saturation du Boot (message d'erreur sur Bureau après démarrage). Il me restait à peine 2% sur les 500 Mo du Boot...
 
- NB : le répertoire /Boot contient les noyaux (ou kernels) constituants les différentes archives fonctionnelles de votre OS. Ces archives s'accumulent,
certaines devenant obsolètes avec le temps. Puis vient le temps de la saturation !
ATTENTION : gardez au moins les 2 derniers kernels !
 
SOLUTION :
- Cherchez d'abord à connaître le kernel sur lequel tourne votre OS. Ouvrez donc le Terminal et saisissez :
uname -r
4.4.0-79-generic
En ce qui me concerne, l'archive opérante était donc référencée : 4.4.0-79-generic
 
- Vous pouvez ensuite entrer dans le répertoire Boot. Saisissez :
cd /boot
 
- Listez pour information ses fichiers :
dir
abi-4.4.0-21-generic       config-4.4.0-72-generic          initrd.img-4.4.0-78-generic         System.map-4.4.0-78-generic
abi-4.4.0-66-generic       config-4.4.0-75-generic          initrd.img-4.4.0-79-generic         System.map-4.4.0-79-generic
abi-4.4.0-70-generic       config-4.4.0-77-generic          lost+found                                vmlinuz-4.4.0-21-generic
abi-4.4.0-71-generic        config-4.4.0-78-generic          memtest86+.bin                        vmlinuz-4.4.0-66-generic
abi-4.4.0-72-generic        config-4.4.0-79-generic          memtest86+.elf                         vmlinuz-4.4.0-70-generic
abi-4.4.0-75-generic        grub                                     memtest86+_multiboot.bin          vmlinuz-4.4.0-71-generic
abi-4.4.0-77-generic        initrd.img-4.4.0-21-generic   System.map-4.4.0-21-generic    vmlinuz-4.4.0-72-generic
abi-4.4.0-78-generic        initrd.img-4.4.0-66-generic   System.map-4.4.0-66-generic    vmlinuz-4.4.0-75-generic
abi-4.4.0-79-generic        initrd.img-4.4.0-70-generic   System.map-4.4.0-70-generic    vmlinuz-4.4.0-77-generic
config-4.4.0-21-generic  initrd.img-4.4.0-71-generic      System.map-4.4.0-71-generic      vmlinuz-4.4.0-78-generic
config-4.4.0-66-generic  initrd.img-4.4.0-72-generic      System.map-4.4.0-72-generic      vmlinuz-4.4.0-79-generic
config-4.4.0-70-generic  initrd.img-4.4.0-75-generic      System.map-4.4.0-75-generic
config-4.4.0-71-generic    initrd.img-4.4.0-77-generic      System.map-4.4.0-77-generic

J'ai indiqué en gras le kernel actif (les versions ultérieures ne trouvez pas assez de place sur le Boot pour s'installer, elles étaient
inactives). Je suis allé un peu plus loin que les conseils de thewizard : je suis allé jusqu'à déplacer trois kernels (au lieu de deux) ;
ils sont indiquez en gras.
 
- J'ai ainsi déplacé successivement ces trois kernels (deux semblent suffire...) en saisissant les lignes de commande suivantes
(pour en avoir le droit, la commande sudo est alors nécessaire) :
sudo mv abi-4.4.0-21-generic abi-4.4.0-21-generic /tmp
sudo mv config-4.4.0-21-generic config-4.4.0-21-generic /tmp
sudo mv initrd.img-4.4.0-21-generic initrd.img-4.4.0-21-generic /tmp
sudo mv System.map-4.4.0-21-generic System.map-4.4.0-21-generic /tmp
sudo mv vmlinuz-4.4.0-21-generic vmlinuz-4.4.0-21-generic /tmp
sudo mv abi-4.4.0-66-generic abi-4.4.0-66-generic /tmp
sudo mv config-4.4.0-66-generic config-4.4.0-66-generic /tmp
sudo mv initrd.img-4.4.0-66-generic initrd.img-4.4.0-66-generic /tmp
sudo mv System.map-4.4.0-66-generic System.map-4.4.0-66-generic /tmp
sudo mv vmlinuz-4.4.0-66-generic vmlinuz-4.4.0-66-generic /tmp
sudo mv abi-4.4.0-70-generic abi-4.4.0-70-generic /tmp
sudo mv config-4.4.0-70-generic config-4.4.0-70-generic /tmp
sudo mv initrd.img-4.4.0-70-generic initrd.img-4.4.0-70-generic /tmp
sudo mv System.map-4.4.0-70-generic System.map-4.4.0-70-generic /tmp
sudo mv vmlinuz-4.4.0-70-generic vmlinuz-4.4.0-70-generic /tmp
NB : ne pas tenir compte du message qui s'affiche à chaque fois, du type "fichier indétectable"... Ce n'est que la conséquence de la suppression du fichier !
 
- Le boot a retrouvé de la place libre, les derniers kernels (supérieurs à celui actif dont l'installation a échoué) peuvent être installés :
apt-get install -f
 
- Pour supprimer les anciens kernels et mettre à jour GRUB, il ne reste plus qu'à saisir :
apt autoremove && update-grub
 
 
ÉPILOGUE :
j'ai pu finalement redémarrer mon PC, lancer les mise à jour qui attendaient depuis des jours, redémarrer encore le PC puis faire une bonne sauvegarde !
 
Merci encore pour le coup de main !  :jap:  

n°1408509
Profil sup​primé
Posté le 09-10-2017 à 13:12:50  answer
 

:hello:  
 
Maintenant que j'y pense, peut-être que tu aurais pu marquer tout paquet kernel en "hold" afin d'empêcher sa tentative d'installation.
 

Code :
  1. for i in $(dpkg -l "*$(uname -r)*" | grep image | awk '{print $2}'); do echo $i hold | dpkg --set-selections; done


 
puis (pour le ménage) :

Code :
  1. apt autoremove && apt autoclean


 
puis (pour réactiver) :
 

Code :
  1. for i in $(dpkg -l "*$(uname -r)*" | grep image | awk '{print $2}'); do echo $i install | dpkg --set-selections; done


 
puis :
 

Code :
  1. apt update && apt upgrade && update-grub


 
Enfin, je ne suis pas sûr.. Cela ne m'est jamais arrivé. De manière générale, j'éxécute apt autoremove assez régulièrement  sur ma Debian  :o
 
Tu peux te créer un alias dans ~/.bashrc ou ~/.bash_aliases selon, pour éviter d'oublier.
 
nano ~/.bash_aliases
 
alias update='sudo apt update'
alias upgrade='sudo apt upgrade'
alias autoremove='sudo apt autoremove'
alias autoclean='sudo apt autoclean'
alias update-grub='sudo update-grub'
alias sysupdate='update && upgrade && autoremove && autoclean && update-grub'
 
source ~/.bashrc
 
Comme ça, tu n'as qu'à taper sysupdate et ton mot de passe pour mettre à jour.
 
Si cela ne fonctionne pas, vérifie dans ~/.bashrc que le bloc suivant est présent et décommenté comme suit :
 
# Alias definitions.
# You may want to put all your additions into a separate file like
# ~/.bash_aliases, instead of adding them here directly.
# See /usr/share/doc/bash-doc/examples in the bash-doc package.
 
if [ -f ~/.bash_aliases ]; then
    . ~/.bash_aliases
fi


Message édité par Profil supprimé le 09-10-2017 à 13:50:44
n°1408511
delyre
Fluctuat nec mergitur
Posté le 09-10-2017 à 14:01:41  profilanswer
 

Classe ! Tu anticipes sur une demande que j'allais faire (avec un upgrade sur la méthode) : "Est-il possible de rédiger un script pour rassembler les procédures ?" !!
OR..... J'ai un PC fixe qui a exactement le même problème !!
Je vais donc l'utiliser pour tester ta version Bêta : tadaaam....!!!

n°1408512
delyre
Fluctuat nec mergitur
Posté le 09-10-2017 à 14:24:26  profilanswer
 

Pour le moment, la ligne de code :

Code :
  1. for i in $(dpkg -l "*$(uname -r)*" | grep image | awk '{print $2}'); do echo $i hold | dpkg --set-selections; done


ne passe pas.
Pas le temps de te communiquer les messages d'erreur.
Je tente quand-même les bash pour voir, à défaut.

mood
Publicité
Posté le 09-10-2017 à 14:24:26  profilanswer
 

n°1408513
delyre
Fluctuat nec mergitur
Posté le 09-10-2017 à 14:38:25  profilanswer
 

nano s'ouvre, mais je ne parviens pas à sauvegarder les lignes de commandes et/ou sortir de nano, sauf à "supprimer le processus en cours" en fermant le Terminal.
 
Je passe à la méthode n°1, je n'ai plus le temps de tester la Bêta, désolé ! Merci en tout cas, je verrai si je peux découvrir le fonctionnement de nano et comprendre quelques détails de tes lignes de commandes qui m'échappent pour le moment (j'suis pas un pro....! Mais c'est cool de naviguer à vu, surtout en informatique ; au moins au début....)

n°1408514
delyre
Fluctuat nec mergitur
Posté le 09-10-2017 à 14:53:04  profilanswer
 

CORRECTIF sur le tutoriel de synthèse !
 
le deux dernières commandes s'exécutent en tant que root : il faut donc taper sudo au début de ces deux lignes de commande !!
sudo apt-get install -f
sudo apt autoremove && update-grub

n°1408515
Profil sup​primé
Posté le 09-10-2017 à 15:33:08  answer
 

delyre a écrit :

Pour le moment, la ligne de code :

Code :
  1. for i in $(dpkg -l "*$(uname -r)*" | grep image | awk '{print $2}'); do echo $i hold | dpkg --set-selections; done


ne passe pas.
Pas le temps de te communiquer les messages d'erreur.
Je tente quand-même les bash pour voir, à défaut.


 
A éxécuter en tant que root.  :)  
 
Si tu utilises "sudo" la commande sera :
 
for i in $(dpkg -l "*$(uname -r)*" | grep image | awk '{print $2}'); do echo $i hold | sudo dpkg --set-selections; done
 
puis : sudo apt autoremove && sudo update-grub
 
Et pour réactiver l'installation des kernels :
 
for i in $(dpkg -l "*$(uname -r)*" | grep image | awk '{print $2}'); do echo $i install | sudo dpkg --set-selections; done
 
Mais ceci dit, ce n'était pas vraiment ta demande. C'était juste une idée comme ça pour pouvoir lancer "apt autoremove" proprement vu que apt persistait à installer le dernier kernel alors que /boot était plein.
 
Bref, la solution d'un alias me paraît adapté si la seule chose que tu souhaites est de garder le kernel utilisé ainsi qu'un autre de secours. Ca t'évitera d'oublier à l'avenir. Et puis, ca va plus vite de taper sysupdate pour tout mettre à jour.
 
Une fois que tu as rentré les alias dans ~/.bash_aliases avec nano, tu utilises : ctrl+x pour fermer (Tu as un résumé des actions possibles dont "^X Quitter" ^ = touche ctrl) puis tu valides les modifications en tapant "o" pour oui et tu appuies à nouveau sur entrée pour valider le nom du fichier.


Message édité par Profil supprimé le 09-10-2017 à 15:35:44
n°1408524
delyre
Fluctuat nec mergitur
Posté le 09-10-2017 à 23:29:51  profilanswer
 

CQFD !
OK, je garde ça "sous le coude" : je me fais mon alias sous peu et je l'actionnerai quand le moment sera venu. En tout cas, merci bien, c'est sympa d'avoir étendu la question et pris le temps de préciser les informations.
Je garde ton pseudo "sous le coude" (heureusement que j'en ai deux....).
Bonne soirée !

n°1410091
Tr4sK
Posté le 13-11-2017 à 06:56:44  profilanswer
 

C’est un problème récurrent, normalement, apt supprime automatiquement les vieux noyaux.
Regarde un coup avec apt search linux-image*


Aller à :
Ajouter une réponse
  FORUM HardWare.fr
  Linux et OS Alternatifs
  Hardware

  Ubuntu 16.04 - Boot saturé et défaillant

 

Sujets relatifs
Cloner un disque dur Ubuntu ?Installation de Ubuntu
ssd @boot sur linux live usb creatorComment avoir la dernière version de ubuntu ?
Ubuntu, Mageia et AMD APU ?Dual boot w10/kali ne fonctionne pas
Dualboot Ubuntu/Windows: comment supprimer Ubuntu et le réinstaller ?comment mettre cinnamon par defaut dans ubuntu ?
comment déinstaller mate dans ubuntu 17.04 et installer cinamoon et ?Boot uefi pxe syslinux
Plus de sujets relatifs à : Ubuntu 16.04 - Boot saturé et défaillant


Copyright © 1997-2018 Hardware.fr SARL (Signaler un contenu illicite) / Groupe LDLC / Shop HFR